## Script (Python) "getSchoolFeePrefix"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
# $Id:getMaintenancePrefix.py 486 2006-09-06 10:09:39Z joachim $
"""
return the Prefix for Schoolfee
"""

if context.portal_membership.isAnonymousUser():
    return None

try:
    from Products.zdb import set_trace
except:
    def set_trace():
        pass
import logging
logger = logging.getLogger('Skins.getSchoolFeePrefix')

student_id = context.getStudentId()
student_record = context.students_catalog(id=student_id)[0]

# still to be configured properly (see ticket 651)
#if student_record.lga == 'foreigner':
#    if student_record.faculty in ('ART','LAW','SSC','MGS'):
#         prefix == 'FRNART'
#    elif student_record.faculty in ('MED'):
#         prefix == 'FRNSCI'
#    else: 
#        logger.info('%s, foreign student faculty %s not found' % (student_id,student_record.faculty))
#        prefix = "--"       
#        return prefix  
#    if student_record.review_state == 'cleared_and_validated':
#        prefix = prefix + 'NEW'   
#    return prefix     

res = context.certificates_catalog(code = student_record.course)
if not res:
    logger.info('%s, certificate %s not found' % (student_id,student_record.course))
    prefix = "--"
else:
    prefix = res[0].school_fee_code
    if not prefix or prefix == 'none':
        prefix = res[0].faculty
    if student_record.review_state == 'cleared_and_validated':
        prefix = prefix + 'NEW'
return prefix
